import typescript from "rollup-plugin-typescript";
import vue from "rollup-plugin-vue";
import { uglify } from "rollup-plugin-uglify";
import postcss from "rollup-plugin-postcss";

// 入口
const input = "./packages/index.ts";
// 插件
const plugins = [
  typescript(),
  vue(),
  postcss({
    extensions: [".less", ".css"],
    use: [
      [
        "less",
        {
          javascriptEnabled: true,
        },
      ],
    ],
    inject: true,
    extract: false,
  }),
  uglify(),
];
// 外链 - 外部依赖的名称，放在该处的npm包不会参与打包
const external = ["vue", "element-plus", "dayjs"];
//
export default [
  {
    input,
    // 出口
    output: {
      file: "lib/vgetable.esm.min.js",
      format: "esm",
      sourcemap: false,
    },
    plugins,
    external,
  },
];
